Subject: Re: [PATCH 10/10] t/t9001-send-email.sh: get rid of unnecessary backquotes

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Jan 2016 10:12:37 -0800

Matthieu Moy <[email-masked]> writes:

> Elia Pinto <[email-masked]> writes:
>
>> Instead of making the shell expand 00* and invoke 'echo' with it,
>> and then capturing its output as command substitution, just use
>> the result of expanding 00* directly.
>
> This is not actually how it happens. cover=`echo *` expands the * before
> the assignment to $cover, while cover="*" assigns a litteral * to
> $cover.
>
> Then, when you use $cover, the variable is expanded to * and then it is
> expanded to filenames here:
>
>>  	mv $cover cover-to-edit.patch &&
>
> On the other hand, this instance of $cover is quoted, hence the
> *-expansion won't happen:
>
>>  	perl -pe "s/^From:/$header: extra\@address.com\nFrom:/" cover-to-edit.patch >"$cover" &&
>
> So, I believe this patch is not correct.

I think this tried to mimick 6ffd3ec8 but the context covered by
that commit is different from the right hand side of an assignment.

You are right that [10/10] changes where the expansion happens and
is not a faithful conversion.  The result may be the same, though ;-)

If anything, I think

        -	mv $cover cover-to-edit.patch &&
        +	mv "$cover" cover-to-edit.patch &&

is a prudent thing to do, but that is orthogonal to what 10/10
tried to do.

>
> OTOH, patches 1 to 9 look good to me.